com.ihr.xbrl.gui.basic

## Class ExceptionDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - com.ihr.xbrl.gui.basic.ExceptionDialog

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class ExceptionDialog
      extends javax.swing.JDialog

  The Class ExceptionDialog.
  Author:
    Ignacio based on code developed by Srikanth Mohan in 2002
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Point` | `centeredIn(java.awt.Dimension ownerDim, java.awt.Dimension size)` Helper method to calculate a point that makes two windows have the same center point.
    `static java.awt.Point` | `centeredIn(java.awt.Window owner, java.awt.Dimension size)` Helper method to calculate a point that makes two windows have the same center point.
    `static void` | `centeredInScreen(java.awt.Window window)` Centered in screen.
    `static java.awt.Dimension` | `getScreenDimension(int scrID)` Gets the screen dimension.
    `static java.awt.Point` | `relativePosition(java.awt.Component comp)` Helper method to calculate a point that is 20 pixels down right of the location of the component received as a parameter.
    `static void` | `showMessage(java.awt.Component parent, java.lang.Throwable exception, java.lang.String title, int icon)` Show message.
    `static void` | `showMessage(java.lang.Throwable throwable)` This static method creates new instance of Exception Handler and displays modal dialog box containing the message.
    `static void` | `showMessage(java.lang.Throwable ex, java.awt.Point p)` This static method creates new instance of Exception Handler and displays modal dialog box containing the message.
    `static void` | `showMessage(java.lang.Throwable ex, java.awt.Point p, int icon)` This static method creates new instance of Exception Handler and displays modal dialog box containing the message.

    - ### Methods inherited from class javax.swing.JDialog

      `getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### showMessage

          public static void showMessage(java.lang.Throwable throwable)

      This static method creates new instance of Exception Handler and displays modal dialog box containing the message.
      Parameters:
        `throwable` - Exception to be handled

    - #### showMessage

          public static void showMessage(java.lang.Throwable ex,
                         java.awt.Point p)

      This static method creates new instance of Exception Handler and displays modal dialog box containing the message.
      Parameters:
        `ex` - Exception to be handled
        `p` - position of the new error window in the screen

    - #### showMessage

          public static void showMessage(java.lang.Throwable ex,
                         java.awt.Point p,
                         int icon)

      This static method creates new instance of Exception Handler and displays modal dialog box containing the message.
      Parameters:
        `ex` - Exception to be handled
        `p` - position of the new error window in the screen
        `icon` - the icon to the left of the error message. Use one of the JOptionPane.ERROR_MESSAGE, JOptionPane.INFORMATION_MESSAGE, etc, values

    - #### relativePosition

          public static java.awt.Point relativePosition(java.awt.Component comp)

      Helper method to calculate a point that is 20 pixels down right of the location of the component received as a parameter.
      Parameters:
        `comp` - Component
      Returns:
        Point

    - #### centeredIn

          public static java.awt.Point centeredIn(java.awt.Window owner,
                                  java.awt.Dimension size)

      Helper method to calculate a point that makes two windows have the same center point.
      Parameters:
        `owner` - parent window
        `size` - the size of the child window
      Returns:
        Point of the top left position for the new window

    - #### centeredIn

          public static java.awt.Point centeredIn(java.awt.Dimension ownerDim,
                                  java.awt.Dimension size)

      Helper method to calculate a point that makes two windows have the same center point.
      Parameters:
        `ownerDim` - the owner dim
        `size` - the size
      Returns:
        the point

    - #### centeredInScreen

          public static void centeredInScreen(java.awt.Window window)

      Centered in screen.
      Parameters:
        `window` - the window

    - #### getScreenDimension

          public static java.awt.Dimension getScreenDimension(int scrID)

      Gets the screen dimension.
      Parameters:
        `scrID` - the scr id
      Returns:
        the screen dimension

    - #### showMessage

          public static void showMessage(java.awt.Component parent,
                         java.lang.Throwable exception,
                         java.lang.String title,
                         int icon)

      Show message.
      Parameters:
        `parent` - the parent
        `exception` - the exception
        `title` - the title
        `icon` - the icon